Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2010-5087

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2010-5087
Last Modified 27 Aug 2012 05:05:17
Published 26 Aug 2012 02:55:01
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2010-5087

Summary

SilverStripe 2.3.x before 2.3.10 and 2.4.x before 2.4.4 allows remote attackers to bypass the cross-site request forgery (CSRF) protection mechanism and hijack the authentication of administrators via vectors related to "form action requests" using a controller.

Vulnerable Systems

Application

  • Silverstripe 2.3.0

  • Silverstripe 2.3.1

  • Silverstripe 2.3.10

  • Silverstripe 2.3.2

  • Silverstripe 2.3.3

  • Silverstripe 2.3.4

  • Silverstripe 2.3.5

  • Silverstripe 2.3.6

  • Silverstripe 2.3.7

  • Silverstripe 2.3.8

  • Silverstripe 2.3.9

  • Silverstripe 2.4.0

  • Silverstripe 2.4.1

  • Silverstripe 2.4.2

  • Silverstripe 2.4.3


References

MLIST - [oss-security] 20120501 Re: CVE-request: SilverStripe before 2.4.4

MLIST - [oss-security] 20120430 Re: CVE-request: SilverStripe before 2.4.4

MLIST - [oss-security] 20120430 CVE-request: SilverStripe before 2.4.4

MLIST - [oss-security] 20110104 CVE request: silverstripe before 2.4.4

SECUNIA - 42346

CONFIRM - http://open.silverstripe.org/changeset/115185

CONFIRM - http://open.silverstripe.org/changeset/115182

CONFIRM - http://doc.silverstripe.org/sapphire/en/trunk/changelogs//2.4.4

CONFIRM - http://doc.silverstripe.org/sapphire/en/trunk/changelogs//2.3.10


Last Updated: 27 May 2016 11:00:20